summaryrefslogtreecommitdiffstats
path: root/alevt
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-02-28 21:55:09 +0000
committer Eric Hameleers <alien@slackware.com>2007-02-28 21:55:09 +0000
commit4e82d1fddd529d889c447915413943153d108a1c (patch)
treecd9628efb9d1fbe45533f93d56bf2a80b1a00c9c /alevt
parenta15b282bebe7eb8e9a10401b03c8bc36e1517bdc (diff)
downloadasb-4e82d1fddd529d889c447915413943153d108a1c.tar.gz
asb-4e82d1fddd529d889c447915413943153d108a1c.tar.xz
Initial revision
Diffstat (limited to 'alevt')
-rwxr-xr-xalevt/build/alevt.SlackBuild222
-rw-r--r--alevt/build/slack-desc19
2 files changed, 241 insertions, 0 deletions
diff --git a/alevt/build/alevt.SlackBuild b/alevt/build/alevt.SlackBuild
new file mode 100755
index 00000000..e45240c3
--- /dev/null
+++ b/alevt/build/alevt.SlackBuild
@@ -0,0 +1,222 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: alevt
+# Descr: teletext/videotext decoder and browser for bttv cards
+# URL: http://www.goron.de/~froese/
+# Needs:
+# Changelog:
+# 1.6.1-1: 28/Feb/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh alevt.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+
+PRGNAM=alevt
+VERSION=${VERSION:-1.6.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+
+DOCS="CHANGELOG COPYRIGHT README alevt.lsm"
+
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=`pkg-config --variable=prefix x11` || true
+[ "$XPREF" == "" ] && XPREF='/usr/X11R6'
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Input URL: http://www.goron.de/~froese/alevt/alevt-1.6.1.tar.gz
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://www.goron.de/~froese/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Slackware 11 and up need other option (gcc > 3.3.x)
+if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+ MOPT=tune
+else
+ MOPT=cpu
+fi
+
+case "$ARCH" in
+ i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$P1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+else
+ rm -rf $PKG/* # We always erase old package's contents:
+fi
+
+if [ ! -d $OUTPUT ]; then
+ mkdir -p $OUTPUT # place for the package to be saved
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
+ echo "Source '`basename ${SOURCE}`' not available yet..."
+ echo "Will download file to `dirname $SOURCE`"
+ wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+if `file ${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf ${SOURCE}
+elif `file ${SOURCE} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE}
+fi
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+cd ${PRGNAM}-${VERSION}
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+# Fix build for 64 bit architecture and modular X:
+sed -i -e "s|/usr/X11R6/lib|${XPREF}/lib${LIBDIRSUFFIX}|g" Makefile
+
+export LDFLAGS="$SLKLDFLAGS"
+export CFLAGS="$SLKCFLAGS"
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+
+# Install the files:
+install -D -m0755 alevt $PKG/usr/bin/alevt
+install -D -m0755 alevt-date $PKG/usr/bin/alevt-date
+install -D -m0755 alevt-cap $PKG/usr/bin/alevt-cap
+install -D -m0644 alevt.1x $PKG/usr/man/man1/alevt.1x
+install -D -m0644 alevt-date.1 $PKG/usr/man/man1/alevt-date.1
+install -D -m0644 alevt-cap.1 $PKG/usr/man/man1/alevt-cap.1
+install -D -m0644 contrib/mini-alevt.xpm $PKG/usr/share/pixmaps/alevt.xpm
+
+# Create the .desktop file:
+mkdir -p $PKG/usr/share/applications
+cat <<-EOT>$PKG/usr/share/applications/alevt.desktop
+ [Desktop Entry]
+ Name=AleVT Teletext Decoder
+ Comment=View Teletext/Videotext information
+ Icon=/usr/share/pixmaps/alevt.xpm
+ Exec=alevt
+ Terminal=false
+ Type=Application
+ Categories=Application;AudioVideo;
+ EOT
+
+# Fix documentation file:
+sed s/VERSION/${VERSION}/g < alevt.lsm.in > alevt.lsm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s):
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+# Strip binaries:
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
+
+# Set correct attributes:
+chmod -R o-w $PKG
+
+# Add slack-desc:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/alevt/build/slack-desc b/alevt/build/slack-desc
new file mode 100644
index 00000000..704b5fe5
--- /dev/null
+++ b/alevt/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alevt: alevt (teletext/videotext decoder and browser for bttv cards)
+alevt:
+alevt: AleVT is a teletext/videotext decoder and browser for
+alevt: the bttv driver (/dev/vbi) and the X Window System.
+alevt: AleVT features include multiple windows, a page cache,
+alevt: regexp searching, a built-in manual, and a program (alevt-date)
+alevt: to get the time from teletext.
+alevt:
+alevt:
+alevt: alevt home: http://www.goron.de/~froese/
+alevt: